uk.gov.hmrc.ct.accounts.frs102.boxes

# AC132

###
Related Docs: object AC132 | package boxes

#### case class AC132(value: Option[Int]) extends CtBoxIdentifier with CtOptionalInteger with BalanceSheetTangibleAssetsCalculator with ValidatableBox[Frs102AccountsBoxRetriever] with Validators with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, ValidatableBox[Frs102AccountsBoxRetriever], Validators, BalanceSheetTangibleAssetsCalculator, CtTypeConverters, CtOptionalInteger, OptionalCtValue[Int], CtValue[Option[Int]], CtBoxIdentifier, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AC132
2. Serializable
3. Serializable
4. Product
5. Equals
6. ValidatableBox
7. Validators
8. BalanceSheetTangibleAssetsCalculator
9. CtTypeConverters
10. CtOptionalInteger
11. OptionalCtValue
12. CtValue
13. CtBoxIdentifier
14. AnyRef
15. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new AC132(value: Option[Int])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def And(predicates: () ⇒ Boolean*)(): Boolean

   Attributes
     protected
   Definition Classes
     Validators

5. #### def Or(predicates: () ⇒ Boolean*)(): Boolean

   Attributes
     protected
   Definition Classes
     Validators

6. #### def asBoxString: Option[String]

   Definition Classes
     CtValue

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def asInt: Option[Int]

   Definition Classes
     CtOptionalInteger

9. #### def atLeastOneBoxHasValue(boxId: String, boxes: OptionalCtValue[_]*)(): Set[CtValidation]

   Attributes
     protected
   Definition Classes
     ValidatableBox

10. #### def belowMin(value: Option[Int], min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

11. #### val boxId: String

    Attributes
      protected
    Definition Classes
      Validators

12. #### def calculateAC124(ac124A: AC124A, ac124B: AC124B, ac124C: AC124C, ac124D: AC124D, ac124E: AC124E): AC124

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

13. #### def calculateAC125(ac125A: AC125A, ac125B: AC125B, ac125C: AC125C, ac125D: AC125D, ac125E: AC125E): AC125

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

14. #### def calculateAC126(ac126A: AC126A, ac126B: AC126B, ac126C: AC126C, ac126D: AC126D, ac126E: AC126E): AC126

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

15. #### def calculateAC127(ac127A: AC127A, ac127B: AC127B, ac127C: AC127C, ac127D: AC127D, ac127E: AC127E): AC127

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

16. #### def calculateAC127A(ac124A: AC124A, ac125A: AC125A, ac126A: AC126A, ac212A: AC212A, ac213A: AC213A): AC127A

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

17. #### def calculateAC127B(ac124B: AC124B, ac125B: AC125B, ac126B: AC126B, ac212B: AC212B, ac213B: AC213B): AC127B

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

18. #### def calculateAC127C(ac124C: AC124C, ac125C: AC125C, ac126C: AC126C, ac212C: AC212C, ac213C: AC213C): AC127C

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

19. #### def calculateAC127D(ac124D: AC124D, ac125D: AC125D, ac126D: AC126D, ac212D: AC212D, ac213D: AC213D): AC127D

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

20. #### def calculateAC127E(ac124E: AC124E, ac125E: AC125E, ac126E: AC126E, ac212E: AC212E, ac213E: AC213E): AC127E

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

21. #### def calculateAC128(ac128A: AC128A, ac128B: AC128B, ac128C: AC128C, ac128D: AC128D, ac128E: AC128E): AC128

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

22. #### def calculateAC129(ac129A: AC129A, ac129B: AC129B, ac129C: AC129C, ac129D: AC129D, ac129E: AC129E): AC129

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

23. #### def calculateAC130(ac130A: AC130A, ac130B: AC130B, ac130C: AC130C, ac130D: AC130D, ac130E: AC130E): AC130

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

24. #### def calculateAC131(ac131A: AC131A, ac131B: AC131B, ac131C: AC131C, ac131D: AC131D, ac131E: AC131E): AC131

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

25. #### def calculateAC131A(ac128A: AC128A, ac129A: AC129A, ac130A: AC130A, ac214A: AC214A): AC131A

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

26. #### def calculateAC131B(ac128B: AC128B, ac129B: AC129B, ac130B: AC130B, ac214B: AC214B): AC131B

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

27. #### def calculateAC131C(ac128C: AC128C, ac129C: AC129C, ac130C: AC130C, ac214C: AC214C): AC131C

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

28. #### def calculateAC131D(ac128D: AC128D, ac129D: AC129D, ac130D: AC130D, ac214D: AC214D): AC131D

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

29. #### def calculateAC131E(ac128E: AC128E, ac129E: AC129E, ac130E: AC130E, ac214E: AC214E): AC131E

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

30. #### def calculateAC132(ac132A: AC132A, ac132B: AC132B, ac132C: AC132C, ac132D: AC132D, ac132E: AC132E): AC132

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

31. #### def calculateAC132A(ac127A: AC127A, ac131A: AC131A): AC132A

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

32. #### def calculateAC132B(ac127B: AC127B, ac131B: AC131B): AC132B

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

33. #### def calculateAC132C(ac127C: AC127C, ac131C: AC131C): AC132C

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

34. #### def calculateAC132D(ac127D: AC127D, ac131D: AC131D): AC132D

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

35. #### def calculateAC132E(ac127E: AC127E, ac131E: AC131E): AC132E

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

36. #### def calculateAC133(ac133A: AC133A, ac133B: AC133B, ac133C: AC133C, ac133D: AC133D, ac133E: AC133E): AC133

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

37. #### def calculateAC133A(ac124A: AC124A, ac128A: AC128A): AC133A

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

38. #### def calculateAC133B(ac124B: AC124B, ac128B: AC128B): AC133B

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

39. #### def calculateAC133C(ac124C: AC124C, ac128C: AC128C): AC133C

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

40. #### def calculateAC133D(ac124D: AC124D, ac128D: AC128D): AC133D

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

41. #### def calculateAC133E(ac124E: AC124E, ac128E: AC128E): AC133E

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

42. #### def calculateAC212(ac212A: AC212A, ac212B: AC212B, ac212C: AC212C, ac212D: AC212D, ac212E: AC212E): AC212

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

43. #### def calculateAC213(ac213A: AC213A, ac213B: AC213B, ac213C: AC213C, ac213D: AC213D, ac213E: AC213E): AC213

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

44. #### def calculateAC214(ac214A: AC214A, ac214B: AC214B, ac214C: AC214C, ac214D: AC214D, ac214E: AC214E): AC214

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

45. #### def calculateDepreciationOfTangibleAssetsAtEndOfThePeriod(ac128: AC128, ac219: AC219, ac130: AC130, ac214: AC214): AC131

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

46. #### def calculateNetBookValueOfTangibleAssetsAEndOfPreviousPeriod(ac217: AC217, ac131: AC131): AC132

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

47. #### def calculateNetBookValueOfTangibleAssetsAEndOfThePeriod(ac124: AC124, ac128: AC128): AC133

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

48. #### def calculateTangibleAssetsAtTheEndOFThePeriod(ac124: AC124, ac125: AC125, ac126: AC126, ac212: AC212, ac213: AC213): AC217

    Definition Classes
      BalanceSheetTangibleAssetsCalculator

49. #### def cannotExistErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

50. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### def collectErrors(predicates: () ⇒ Set[CtValidation]*): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

52. #### def collectWithBoxId(newBoxId: String)(errors: Set[CtValidation]): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

53. #### implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]

    Definition Classes
      CtTypeConverters

54. #### implicit def convert(catoInt: CtOptionalInteger): Int

    Definition Classes
      CtTypeConverters

55. #### implicit def convert(catoInt: CtInteger): Int

    Definition Classes
      CtTypeConverters

56. #### implicit def convert(catoBoolean: CtOptionalBoolean): Boolean

    Definition Classes
      CtTypeConverters

57. #### implicit def convert(catoBoolean: CtBoolean): Boolean

    Definition Classes
      CtTypeConverters

58. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

59. #### def exceedsMax(value: Option[Int], max: Int = MAX_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

60. #### def failIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

61. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

62. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

63. #### def hasValue: Boolean

    Definition Classes
      OptionalCtValue

64. #### def id: String

    Definition Classes
      CtBoxIdentifier

65. #### def isEmpty(value: Option[_]): Boolean

    Attributes
      protected
    Definition Classes
      Validators

66. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

67. #### def isPositive: Boolean

    Definition Classes
      CtOptionalInteger

68. #### def minus(other: Int): Int

    Definition Classes
      CtOptionalInteger

69. #### def minus(other: CtInteger): Int

    Definition Classes
      CtOptionalInteger

70. #### def minus(other: CtOptionalInteger): Int

    Definition Classes
      CtOptionalInteger

71. #### val name: String

    Definition Classes
      CtBoxIdentifier

72. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

73. #### def noValue: Boolean

    Definition Classes
      OptionalCtValue

74. #### def nonEmpty(value: Option[_]): Boolean

    Attributes
      protected
    Definition Classes
      Validators

75. #### final def notify(): Unit

    Definition Classes
      AnyRef

76. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

77. #### def orZero: Int

    Definition Classes
      CtOptionalInteger

78. #### def passIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

79. #### def plus(other: Int): Int

    Definition Classes
      CtOptionalInteger

80. #### def plus(other: CtInteger): Int

    Definition Classes
      CtOptionalInteger

81. #### def plus(other: CtOptionalInteger): Int

    Definition Classes
      CtOptionalInteger

82. #### val postCodeRegex: String

    Attributes
      protected
    Definition Classes
      ValidatableBox

83. #### def replaceBoxId(newBoxId: String, errors: () ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

84. #### def requiredErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

85. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

86. #### def validate(boxRetriever: Frs102AccountsBoxRetriever): Set[CtValidation]

    Definition Classes
      AC132 → ValidatableBox

87. #### def validateAllFilledOrEmptyStrings(boxId: String, allBoxes: Set[CtValue[String]])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

88. #### def validateAllFilledOrEmptyStringsForBankDetails(boxRetriever: RepaymentsBoxRetriever, boxId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

89. #### def validateAsMandatory[U](box: CtValue[U] with CtBoxIdentifier)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

90. #### def validateBooleanAsMandatory(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

91. #### def validateBooleanAsTrue(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

92. #### def validateCoHoStringReturnIllegalChars(boxId: String, value: String, errorCodeBoxId: Option[String] = None)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

93. #### def validateCoHoStringReturnIllegalChars(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

94. #### def validateCohoNameField(boxId: String, box: StringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

95. #### def validateCohoOptionalNameField(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

96. #### def validateDateAsAfter(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

97. #### def validateDateAsBefore(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

98. #### def validateDateAsBetweenInclusive(boxId: String, date: Option[LocalDate], minDate: LocalDate, maxDate: LocalDate, messageId: String)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

99. #### def validateDateAsBetweenInclusive(boxId: String, box: OptionalDateIdBox, minDate: LocalDate, maxDate: LocalDate)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      ValidatableBox

100. #### def validateDateAsBlank(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

101. #### def validateDateAsMandatory(boxId: String, date: Option[LocalDate], messageId: String)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

102. #### def validateDateAsMandatory(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

103. #### def validateIntegerAsBlank(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

104. #### def validateIntegerAsMandatory(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

105. #### def validateIntegerRange(boxId: String, box: OptionalIntIdBox, min: Int, max: Int)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

106. #### def validateMoney(value: Option[Int], min: Int = 99999999, max: Int = 99999999)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       Validators

107. #### def validateNetBookValueMatchesTotalAssets(boxRetriever: Frs102AccountsBoxRetriever)(): Set[CtValidation]

108. #### def validateNotEmptyStringByLength(boxId: String, value: String, min: Int, max: Int)(): Set[CtValidation]

     Definition Classes
       ValidatableBox

109. #### def validateOptionalIntegerAsEqualTo(box: CtBoxIdentifier with CtOptionalInteger, equalToBox: CtBoxIdentifier with CtOptionalInteger): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

110. #### def validateOptionalStringByLength(boxId: String, box: OptionalStringIdBox, min: Int, max: Int)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

111. #### def validateOptionalStringByRegex(boxId: String, box: OptionalStringIdBox, regex: String)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

112. #### def validatePositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

113. #### def validatePositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

114. #### def validatePostcode(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

     Definition Classes
       ValidatableBox

115. #### def validateRawStringByRegex(boxId: String, value: String, errorCodeBoxId: String, regex: String)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

116. #### def validateStringAsBlank(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

117. #### def validateStringAsMandatory(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

118. #### def validateStringAsMandatoryIfPAYEEQ1False(boxRetriever: RepaymentsBoxRetriever, boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

119. #### def validateStringByLength(boxId: String, value: String, errorCodeId: String, min: Int, max: Int)(): Set[CtValidation]

     Definition Classes
       ValidatableBox

120. #### def validateStringByLength(boxId: String, box: StringIdBox, min: Int, max: Int)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

121. #### def validateStringByRegex(boxId: String, box: StringIdBox, regex: String)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

122. #### def validateStringMaxLength(boxId: String, value: String, max: Int)(): Set[CtValidation]

     Definition Classes
       ValidatableBox

123. #### def validateZeroOrPositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

124. #### def validateZeroOrPositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]

     Attributes
       protected
     Definition Classes
       ValidatableBox

125. #### val value: Option[Int]

     Definition Classes
       AC132 → CtValue

126. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

127. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

128. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from ValidatableBox[Frs102AccountsBoxRetriever]

### Inherited from Validators

### Inherited from BalanceSheetTangibleAssetsCalculator

### Inherited from CtTypeConverters

### Inherited from CtOptionalInteger

### Inherited from OptionalCtValue[Int]

### Inherited from CtValue[Option[Int]]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped